org.apache.lucene.store.instantiated

## Class InstantiatedTermDocumentInformation

- java.lang.Object
- - org.apache.lucene.store.instantiated.InstantiatedTermDocumentInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class InstantiatedTermDocumentInformation
      extends java.lang.Object
      implements java.io.Serializable

  There is one instance of this class per indexed term in a document and it contains the meta data about each occurrence of a term in a document. It is the inner glue of the inverted index.

       [Term]-- {0..*} | {0..*} --(field)[Document]
                  <<ordered>>
                       |
          [TermDocumentInformation]
             +payloads
             +termPositions
             +termOffsets

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Comparator<InstantiatedTermDocumentInformation>` | `documentNumberComparator`
    `static java.util.Comparator` | `doumentNumberIntegerComparator`
    `static java.util.Comparator<InstantiatedTermDocumentInformation>` | `termComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstantiatedTermDocumentInformation(InstantiatedTerm term, InstantiatedDocument document, int[] termPositions, byte[][] payloads)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstantiatedDocument` | `getDocument()`
    `byte[][]` | `getPayloads()`
    `InstantiatedTerm` | `getTerm()`
    `org.apache.lucene.index.TermVectorOffsetInfo[]` | `getTermOffsets()`
    `int[]` | `getTermPositions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### termComparator

          public static final java.util.Comparator<InstantiatedTermDocumentInformation> termComparator

    - #### documentNumberComparator

          public static final java.util.Comparator<InstantiatedTermDocumentInformation> documentNumberComparator

    - #### doumentNumberIntegerComparator

          public static final java.util.Comparator doumentNumberIntegerComparator

  - ### Constructor Detail

    - #### InstantiatedTermDocumentInformation

          public InstantiatedTermDocumentInformation(InstantiatedTerm term,
                                                     InstantiatedDocument document,
                                                     int[] termPositions,
                                                     byte[][] payloads)

  - ### Method Detail

    - #### getTermPositions

          public int[] getTermPositions()

    - #### getPayloads

          public byte[][] getPayloads()

    - #### getDocument

          public InstantiatedDocument getDocument()

    - #### getTerm

          public InstantiatedTerm getTerm()

    - #### getTermOffsets

          public org.apache.lucene.index.TermVectorOffsetInfo[] getTermOffsets()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.